#ifndef __sockrpc_HXX
#include "sockrpc.hxx"
#endif

#ifndef __callbackclient_clnt_HXX
#define __callbackclient_clnt_HXX

class proxy_CallbackClient : public SvcClient {

  public :
  proxy_CallbackClient(int family=AF_INET) : proxy_SvcClient("CallbackClient", family) {};
  proxy_CallbackClient(char* n, int f) : proxy_SvcClient(n,f) {}
  void kill()
  {
    int numproc = 0 ;
    (*(SvcSocket*)this) << numproc << svcflush ;
  } ;
  void reset()
  {
    int numproc = 1 ;
    (*(SvcSocket*)this) << numproc << svcflush ;
  } ;
  void keepLock(const ListVal<PID>& l)
  {
    int numproc = 2 ;
    (*(SvcSocket*)this) << numproc << l << svcflush ;
  } ;
  int askLock(PID pid)
  {
    int numproc = 3 ;
    int result ;
    (*(SvcSocket*)this) << numproc << pid << svcflush ;
    (*(SvcSocket*)this) >> result;
    return result ;
  } ;
} ; 



#endif
